## org.eclipse.emf.edit.provider
Class ItemProviderAdapter.ChildrenStore.Entry

    java.lang.Object
      org.eclipse.emf.edit.provider.ItemProviderAdapter.ChildrenStore.Entry

Enclosing class:
  ItemProviderAdapter.ChildrenStore

    protected static class ItemProviderAdapter.ChildrenStore.Entry

extends java.lang.Object

An `Entry` represents the children from a feature.

Field Summary
`EStructuralFeature` `feature`
`EList<java.lang.Object>` `list`

Constructor Summary
`ItemProviderAdapter.ChildrenStore.Entry(EStructuralFeature feature)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### feature

    public EStructuralFeature feature

### list

    public EList<java.lang.Object> list

Constructor Detail

### ItemProviderAdapter.ChildrenStore.Entry

    public ItemProviderAdapter.ChildrenStore.Entry(EStructuralFeature feature)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.